<?php
/**
* Custom css
* @package Theme Palace
* @subpackage Daily Insight Pro
* @since Daily Insight Pro 1.0
*/

// custom css section
$wp_customize->add_section( 'daily_insight_pro_custom_css', array(
	'title'             	=> esc_html__( 'Custom CSS','daily-insight-pro' ),
	'panel'             	=> 'daily_insight_pro_theme_options_panel',
	'priority'   			=> 900,
) );

// Setting custom_css.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[custom_css]',
	array(
	'sanitize_callback'    	=> 'wp_strip_all_tags',
	'sanitize_js_callback' 	=> 'wp_strip_all_tags',
	)
);
$wp_customize->add_control( 'daily_insight_pro_theme_options[custom_css]',
	array(
	'label'    				=> esc_html__( 'Custom CSS', 'daily-insight-pro' ),
	'section'  				=> 'daily_insight_pro_custom_css',
	'type'     				=> 'textarea',
	)
);
